%define upstream_name	 Net-Patricia
%define upstream_version 1.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Patricia Trie perl module for fast IP address lookups
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::CIDR::Lite) >= 0.200.0
BuildRequires: perl(Socket6)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(version)
BuildRequires: perl-devel
BuildRequires: perl-Net-CIDR-Lite
%description
This module uses a Patricia Trie data structure to quickly perform IP address
prefix matching for applications such as IP subnet, network or routing table
lookups. The data structure is based on a radix tree using a radix of two, so
sometimes you see patricia implementations called "radix" as well. The term
"Trie" is derived from the word "retrieval" but is pronounced like "try".
Patricia stands for "Practical Algorithm to Retrieve Information Coded as
Alphanumeric", and was first suggested for routing table lookups by Van
Jacobsen. Patricia Trie performance characteristics are well-known as it has
been employed for routing table lookups within the BSD kernel since the 4.3
Reno release.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL
%make

%check
%make test

%install
%make DESTDIR=%{buildroot} pure_vendor_install \
INSTALLSITELIB=%perl_vendorlib \
INSTALLSITEMAN1DIR=%{_mandir}/man1 \
INSTALLSITEMAN3DIR=%{_mandir}/man3
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

%files
%doc COPYING Changes META.yml MYMETA.yml README demo
%{perl_vendorarch}/Net*
%{perl_vendorarch}/auto/Net*
%{_mandir}/man?/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 370791
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 1.200.0-1.mga3
+ Revision: 306186
- update to 1.20

* Wed May 30 2012 jquelin <jquelin> 1.190.0-3.mga3
+ Revision: 250995
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.190.0-2.mga2
+ Revision: 104845
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.190.0-1.mga1
+ Revision: 32767
- mageia rebuild
- imported package perl-Net-Patricia

